classification
Title: from .foo import * should work
Type: Stage:
Components: Interpreter Core Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, jaraco, loewis, nnorwitz
Priority: critical Keywords:

Created on 2008-03-18 16:53 by nnorwitz, last changed 2010-08-05 13:53 by jaraco. This issue is now closed.

Messages (4)
msg63942 - (view) Author: Neal Norwitz (nnorwitz) * (Python committer) Date: 2008-03-18 16:53
Explicit relative imports using from .foo import * should work.

http://mail.python.org/pipermail/python-3000/2008-March/012564.html
msg63950 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2008-03-18 17:46
More verbosely:
The restriction should be removed; a SyntaxError shouldn't be raised,
and import should handle it correctly.
msg64036 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-03-19 04:39
This is now fixed in r61595.
msg112978 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2010-08-05 13:53
Is there any chance this can be back-ported to Python 2.7?
History
Date User Action Args
2010-08-05 13:53:27jaracosetmessages: + msg112978
2010-08-05 13:50:58jaracosetnosy: + jaraco
2008-03-19 04:39:39loewissetstatus: open -> closed
resolution: fixed
messages: + msg64036
nosy: + loewis
2008-03-18 17:46:55benjamin.petersonsetnosy: + benjamin.peterson
messages: + msg63950
2008-03-18 16:53:44nnorwitzcreate